#ifndef MANAGEMENTWINDOW_H
#define MANAGEMENTWINDOW_H

/**
 * @file managementwindow.h
 * @brief Management UI controller
 */

#include <QMainWindow>
#include <QSettings>
#include <QMenuBar>
#include <QListWidget>
#include <QPushButton>

class QMenu;
class QAction;

class ManagementWindow : public QMainWindow
{
    Q_OBJECT

public:
    ManagementWindow();

private slots:
    void createInstaller();
    void showSettings();
    void showHelp();
    void showAbout();

private:
    void createActions();
    void createMenuBar();
    void createContent();

    QSettings settings;

    QMenuBar *menuBar;

    QListWidget *certificateList;
    QPushButton *saveButton;
    QPushButton *loadButton;
    QPushButton *addButton;
    QPushButton *removeButton;
};

#endif // MANAGEMENTWINDOW_H
